/*
 * Copyright (C) 2005 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.swing.desktop.plugin.portunis;

/**
 * Defines the types of keystore (PKCS12 or JKS).
 * 
 * @author $Author: johan $
 * @version $Revision: 1.1 $
 */
public class KeyStoreType
{
	private String typeString;

	public static final KeyStoreType JKS = new KeyStoreType("JKS");
	public static final KeyStoreType PKCS12 = new KeyStoreType("PKCS12");

	private KeyStoreType(String type) {
		this.typeString = type;
	}

	public String getType()
	{
		return typeString;
	}

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final KeyStoreType other = (KeyStoreType) obj;
        if ((this.typeString == null) ? (other.typeString != null) : !this.typeString.equals(other.typeString)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 17 * hash + (this.typeString != null ? this.typeString.hashCode() : 0);
        return hash;
    }

}
