/*
 * Copyright (C) 2005 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.swing.desktop.plugin.portunis;

import java.io.File;

/**
 * Holds a KeyStore and the File the KeyStore is associated with.
 * 
 * @version $Revision: 1.1 $
 * @author $Author: johan $
 */
public interface KeyStoreWrapper
{

	/**
	 * Get the type of KeyStore
	 * 
	 * @return the KeyStore type (for example JKS or PKCS12)
	 */
	public KeyStoreType getType();

	/**
	 * @return Returns the file.
	 */
	public File getFile();

	/**
	 * @return Returns the keyStore.
	 */
	public ZoomKeyStore getKeyStore();
}
